#ifndef _VERSION_H_
#define _VERSION_H_

/* Defines used for different versions */

//#define SPEAR
//#define SPEARDEMO
//#define UPLOAD
//#define GOODTIMES
#define CARMACIZED
//#define APOGEE_1_0
//#define APOGEE_1_1
//#define APOGEE_1_2

/*
    Wolf3d Full v1.1 Apogee (with ReadThis)   - define CARMACIZED and APOGEE_1_1
    Wolf3d Full v1.4 Apogee (with ReadThis)   - define CARMACIZED
    Wolf3d Full v1.4 GT/ID/Activision         - define CARMACIZED and GOODTIMES
    Wolf3d Shareware v1.0                     - define UPLOAD and APOGEE_1_0
    Wolf3d Shareware v1.1                     - define CARMACIZED and UPLOAD and APOGEE_1_1
    Wolf3d Shareware v1.2                     - define CARMACIZED and UPLOAD and APOGEE_1_2
    Wolf3d Shareware v1.4                     - define CARMACIZED and UPLOAD
    Spear of Destiny Full and Mission Disks   - define CARMACIZED and SPEAR
                                                (and GOODTIMES for no FormGen quiz)
    Spear of Destiny Demo                     - define CARMACIZED and SPEAR and SPEARDEMO
*/

#define USE_FEATUREFLAGS    // Enables the level feature flags (see bottom of wl_def.h)
#define USE_SHADING         // Enables shading support (see wl_shade.cpp)
#define USE_DIR3DSPR        // Enables directional 3d sprites (see wl_dir3dspr.cpp)
#define USE_FLOORCEILINGTEX // Enables floor and ceiling textures stored in the third mapplane (see wl_floorceiling.cpp)
#define USE_HIRES           // Enables high resolution textures/sprites (128x128)
#define USE_PARALLAX 16     // Enables parallax sky with 16 textures per sky (see wl_parallax.cpp)
#define USE_CLOUDSKY        // Enables cloud sky support (see wl_cloudsky.cpp)
#define USE_STARSKY         // Enables star sky support (see wl_atmos.cpp)
#define USE_RAIN            // Enables rain support (see wl_atmos.cpp)
#define USE_SNOW            // Enables snow support (see wl_atmos.cpp)

#define ANIMOBJECTS         // Enables animated objects
#define DONT_SIT            // No stationary dogs

#define WOLFDX              // WolfDX palette and two-part title screen

#define DEBUGKEYS           // Comment this out to compile without the Tab debug keys
#define ARTSEXTERN          // Make ART files *not* external
#define DEMOSEXTERN         // Make demos *not* external

#define HIRESFIX            // Use corrections in 640x480/320x240 mode
//#define WALLSOUNDS          // Use wall-related Adlib sounds
#define EXTRADOORS          // 4 locked door colors and 2 new doors

#ifdef USE_HIRES
       #define HIRES_GUNFIX // Fix gun's accuracy in 128x128
#endif

//#define SOUNDTOJUKEBOX      // Sound options are now the Jukebox

#define FIXPIE              // This is BT's fix
#define FFTHIRD             // Use 3rd Plane Feature Flags
#define SLOWFADE            // Fading at Ripper's VBL 1 speed

//#define WOLFDXDEMO          // Compile 2-level demo version

#endif
